// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import java.util.function.DoubleSupplier;

import edu.wpi.first.networktables.GenericEntry;
import edu.wpi.first.wpilibj2.command.ParallelCommandGroup;
import edu.wpi.first.wpilibj2.command.SequentialCommandGroup;
import edu.wpi.first.wpilibj2.command.WaitUntilCommand;
import frc.robot.subsystems.Accumulateur;
import frc.robot.subsystems.Lanceur;

// NOTE:  Consider using this command inline, rather than writing a subclass.  For more
// information, see:
// https://docs.wpilib.org/en/stable/docs/software/commandbased/convenience-features.html
public class Lancer extends ParallelCommandGroup {
  private Lanceur lanceur;
  private Accumulateur accumulateur;
  
  /** Creates a new Force1. */
  public Lancer(Lanceur lanceur,Accumulateur accumulateur,GenericEntry vitesse) {
    this.lanceur = lanceur;
    this.accumulateur = accumulateur;

    // Add your commands in the addCommands() call, e.g.
    // addCommands(new FooCommand(), new BarCommand());
    addCommands(new Lancez(lanceur),
    new SequentialCommandGroup(new WaitUntilCommand(()->lanceur.vitesse()>vitesse.getDouble(0)))
    ,new AccAvancer(accumulateur),new AccReculer(accumulateur));
  }
}
